%global build_name %{name}-%{version}


Name:           polybar
Version:        3.4.0
Release:        1%{?dist}
Summary:        A fast and easy-to-use status bar
License:        MIT
URL:            https://github.com/jaagr/polybar

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  python2 >= 2.6
BuildRequires:  i3-ipc
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(libnl-genl-3.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-proto)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-sync)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xcb-xrm)

Requires:   i3-ipc


%description
A fast and easy-to-use status bar.


%prep
rm -rf %{build_name}
git clone https://github.com/jaagr/polybar --recursive --branch %{version} %{build_name}
%setup -D -T -n %{build_name}


%build
cmake . 
%make_build 

%define debug_package %{nil}

%install
install -Dm755 bin/polybar      %{buildroot}%{_bindir}/polybar
install -Dm755 bin/polybar-msg  %{buildroot}%{_bindir}/polybar-msg
#install -Dm755 doc/config       %{buildroot}%{_datadir}/doc/polybar/config
#install -Dm755 doc/bash/polybar %{buildroot}%{_datadir}/bash-completion/completions/polybar
#install -Dm755 doc/zsh/_polybar %{buildroot}%{_datadir}/zsh/site-functions/_polybar
#install -Dm755 doc/zsh/_polybar %{buildroot}%{_datadir}/zsh/site-functions/_polybar_msg
#install -Dm755 man/polybar.1    %{buildroot}%{_mandir}/man1/polybar.1


%post
#/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%{_bindir}/polybar*
#%{_datadir}/bash-completion/completions/polybar
#%{_datadir}/doc/polybar/config
#%{_datadir}/zsh/site-functions/_polybar*
#%{_mandir}/man1/polybar.*


%changelog
* Sat Sep 07 2019 charringto - 3.4.0-1
- Update to 3.4.0

* Fri Dec 28 2018 charringto - 3.2.1-2
- Standardize build dir name.

* Fri Dec 21 2018 charringto - 3.2.1-1
- Initial spec.

